.auth {
   &-wrapper {
      height: 100%;
      background-position: center;
      background-repeat: no-repeat;
      background-size: cover;
   }

   &-login {
      font-size: 20px;
      color: #fff;
      cursor: pointer;
      transition: all 0.2s ease-in-out;
      position: relative;
      font-weight: 700;
      width: 100px;
      display: flex;
      text-align: center;
      flex-direction: column;

      &::after,
      &::before {
         content: '';
         display: block;
         width: 0;
         align-self: flex-start;
         height: 2px;
         transition: all 0.2s ease-in;
         background-color: #ff0055;
      }

      &::before {
         align-self: flex-end;
      }

      &:hover::after,
      &:hover::before {
         width: 100%;
      }

      &:hover {
         letter-spacing: 1px;
      }
   }

   &-content {
      background-color: rgba($color: #fff, $alpha: 0.4);
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      z-index: 2;
      width: 40vw;
      height: 500px;
      padding: 50px 20px;
      border-radius: 20px;
      display: flex;
      align-items: center;
      flex-direction: column;
      justify-content: center;
      transition: all 0.9s ease-in-out;

      &.register {
         transition: all 0.6s ease-in-out;
         left: -550px;

      }

      &.login {
         transition: all 0.6s ease-in-out;
         left: 130%;
      }

      &__field {
         display: flex;
         flex-direction: column;
         align-items: center;
         width: 80%;
         position: relative;
         margin-bottom: 60px;

         &:nth-child(2),
         &:nth-child(4) {
            margin-bottom: 0;
         }

         &:nth-child(3) {
            margin-bottom: 20px;
         }
      }

      &__btn {
         width: 70%;
         font-size: 20px;
         padding: 10px 30px;
         outline: none;
         outline-offset: none;
         border-radius: 40px;
         background-color: #ff0055;
         color: white;
         font-size: 30px;
         border: 0.5px solid rgba($color: #81002b, $alpha: 0.2);
         box-shadow: inset 0px 0px 10px rgba($color: #b3003b, $alpha: 0.6);
         transition: all 0.2s ease-in-out;
         cursor: pointer;
         margin-top: 50px;

         &>span {
            transition: all 0.3s ease-in-out;
         }

         &:hover {
            box-shadow: inset 0px 0px 4px rgba($color: #b3003b, $alpha: 0.6);
         }
      }

      &__label {
         font-size: 18px;
         text-transform: uppercase;
         position: absolute;
         left: 2rem;
         top: 50%;
         width: 120px;
         cursor: text;
         transform: translateY(-50%);
         transition: all 0.3s ease-in-out;
         color: grey;
         display: flex;
         justify-content: center;

      }

      &__input {
         width: 100%;
         font-size: 20px;
         padding: 10px 30px;
         outline: none;
         outline-offset: none;
         border-radius: 40px;
         border: 0.5px solid rgba($color: #ff0055, $alpha: 0.2);
         box-shadow: 0px 5px 10px rgba($color: #ff0055, $alpha: 0.2);
         transition: all 0.2s ease-in-out;

         &:focus {
            border: 0.5px solid rgba($color: #66ff00, $alpha: 0.2);
            box-shadow: 0px 5px 10px rgba($color: #66ff00, $alpha: 0.1);
         }

         &:not(:placeholder-shown).auth-content__input:not(:focus) {
            border: 0.5px solid rgba($color: #66ff00, $alpha: 0.2);
            box-shadow: 0px 5px 10px rgba($color: #66ff00, $alpha: 0.1);
         }

         &:focus~.auth-content__label,
         &:not(:placeholder-shown).auth-content__input:not(:focus)~.auth-content__label {
            top: -14.3px;
            left: 4rem;
            background-color: #fff;
            border-radius: 20px 20px 0 0;
            width: 120px;
            height: 30px;
            display: flex;
            justify-content: center;
            z-index: 3;
         }
      }

      &__title {
         letter-spacing: 3px;
         font-size: 46px;
         font-weight: 700;

      }

      &::before {
         filter: blur(50px);
      }
   }
}

.toggle-password {
   position: absolute;
   display: flex;
   align-items: center;
   top: 50%;
   transform: translateY(-50%);
   right: 50px;
   cursor: pointer;
   transition: all 0.2s ease-in-out;
   color: rgba(#000, 0.5);

   &:hover {
      color: #000;
   }
}

.hide {
   transition: all 0.2s ease-in-out;
   opacity: 0;
}